id.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdlib.h>`
Include dependency graph for id.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void | UApplicationId
| An opaque type describing an application ID. More...

## Functions

UBUNTU_DLL_PUBLIC UApplicationId * | u_application_id_new_from_stringn (const char *string, size_t size)
| Creates a new application ID from an existing string. More...
UBUNTU_DLL_PUBLIC void | u_application_id_destroy (UApplicationId *id)
| Destroy the supplied application ID instance. More...
UBUNTU_DLL_PUBLIC int | u_application_id_compare (UApplicationId *lhs, UApplicationId *rhs)
| Compares two application ID instances. More...